#!/usr/bin/env python
#
# Pscychologist
#

print "This is a pscychologist program. You will be asked a series of questions which will be used to analyze\nyour mental state. Answer in plain english. If at any time you wish to stop the questioning just type in 'stop'." 
answer= " "
people={"mother" : "how do you feel about your mother?" , "father" : "how do you feel about your father?", 
        "brother" : "how do you feel about your brother?", "sister" : "how do you feel about your sister?", 
        "aunt" : "how do you feel about your aunt?", "uncle" : "how do you feel about your uncle?", "cousin" :
        "how do you feel about your cousin?", "friend" : "how do you feel about your friend", "enemy" : 
        "how do you feel about your enemy?"}





while(answer!="stop"):

    phrase= "Lets talk about someone you know. Who do you want to talk about? "    
    answer= raw_input(phrase)

    relation= answer.split(" ")
    relation= relation[len(relation)-1]

    if not relation in people.keys():
        phrase= "how do you feel about "+relation+"? "
        answer= raw_input(phrase)
        people[relation]= answer

    if relation in people.keys():
        phrase= people[relation]
        answer= raw_input(phrase)
        people[relation]= answer

        phrase= "and why do you feel this way about this person? "
        answer= raw_input(phrase)
        print "ah, I see, lets continue"
        

    
 
  
